#ifndef __QBF_PARSER_H__
#define __QBF_PARSER_H__
#include <vector>
#include "qbf.hpp"
#include "qbf_literal.hpp"
#include "qbf_lexer.hpp"
#include "variable.hpp"

class QBF_Parser
{
public:
    QBF_Parser(QBF_Lexer* l);
    QBF* parse();

private:
    QBF_Lexer* lexer;
    std::vector<Variable*>* parse_var_vector();
    std::vector<QBF*>* parse_qbf_vector();
};
#endif
